const express = require('express');
const router = express.Router();
const { checkAdmin } = require('../middleware/authMiddleware');
// const appointmentController = require('../controllers/appointmentController');

// Route สำหรับหน้า Dashboard ของ Admin
router.get('/dashboard', checkAdmin, (req, res) => {
  res.render('admin/dashboardAdmin');
});

// Route สำหรับการจัดการการจองคิว (Admin)
// router.get('/appointments', checkAdmin, appointmentController.manageAppointments);

// เพิ่มการจัดการการจองคิว เช่น แสดงคิวที่กำลังรอดำเนินการ
// router.get('/appointments/manage', checkAdmin, appointmentController.manageAppointments);

module.exports = router;
